#include <iostream>
using namespace std;
int main()
{
    long long n,x,v=0,m=0,s,p;
    cin>>n>>x;
    int min=x,max=x;
    for(int i=0;i<n;i++)
    {
        cin>>p;
        if(p<x)
            m++;
        else
            v++;
        if(p<min)
            min=p;
        if(p>max)
            max=p;
    }
    if(v>m){
        s=2*(x-min)+(max-x);
        }
    else
        s=2*(max-x)+(x-min);
    cout<<s;
    return 0;
}